/*
 * Dice_Tones
 * This sketch makes use of a series of arrays and for loops to: 
 * diisplay a dice pattern on 7 LEDs when a button is pushed
 * and play a sequence of tones
 * This sketch was originally written by Firebugs.com.au for the ARD2-INNOV8 Shield
 * Modified by Seven Vinton for Cengage Learning February 2017
 * This sketch is in the public domain
 */
 
int led_pins[] = {3,4,5,6,7,8,9};
int button1 = 2;
int speakerPin = 11;
int buttonState;
int ran;
int pause = 500;

int roll[6][6] = {
    {3,-1,-1,-1,-1,-1},
    {2, 4,-1,-1,-1,-1},
    {2, 3, 4,-1,-1,-1},
    {0, 1, 5, 6,-1,-1},
    {0, 1, 3, 5, 6,-1},
    {0, 1, 2, 4, 5, 6}};

 int notes[] = {500,600,700,800,900,1000};

void setup() {
Serial.begin(9600);
for (int thisPin = 0; thisPin < 7; thisPin++) {
    pinMode(led_pins[thisPin], OUTPUT);
}
  pinMode(button1, INPUT_PULLUP);
  randomSeed(analogRead(A0));
}
void loop() {
  buttonState = digitalRead(button1);
  if (buttonState == LOW){
    for (int thisPin = 0; thisPin < 7; thisPin++) {
    digitalWrite(led_pins[thisPin], LOW);
    }
    delay(pause);
    ran = random(1, 7);
    for ( int i = 0; i < 6; i++){
    if (roll[ran-1][i] >= 0){
    digitalWrite (led_pins[roll[ran-1][i]], HIGH);
  }
  
}
Serial.println(ran);
delay(pause);
playTones(ran);
 
  }
}

void playTones(int endNote){
  for (int thisNote = 0; thisNote < endNote; thisNote++){
    tone(speakerPin, notes[thisNote], 200);
    delay(pause);
}
}

