/*
 * Digital_Dice_Array
 * This sketch makes use of a 2D array and for loops to display 
 * a dice pattern on 7 LEDs when a button is pushed
 * This sketch was originally written by Firebugs.com.au for the ARD2-INNOV8 Shield
 * Modified by Seven Vinton for Cengage Learning February 2017
 * This sketch is in the public domain
 */
 
int led_pins[] = {3,4,5,6,7,8,9}; // an array to hold the LED pins
int button1 = 2; // variable to hold button pin
int buttonState; // variable to hold the state of the button (HIGH or LOW)
int ran; // variable to hold the random number
int pause = 500; // variable to hold the pause amount between dice rolls
// 2D array to hold the pattern for each number of the dice
int roll[6][6] = {
    {3,-1,-1,-1,-1,-1},
    {2, 4,-1,-1,-1,-1},
    {2, 3, 4,-1,-1,-1},
    {0, 1, 5, 6,-1,-1},
    {0, 1, 3, 5, 6,-1},
    {0, 1, 2, 4, 5, 6}};

void setup() {
//for loop to initialise the LED pins to OUTPUT
for (int thisPin = 0; thisPin < 7; thisPin++) {
    pinMode(led_pins[thisPin], OUTPUT);
}
  pinMode(button1, INPUT_PULLUP); // initialise button pin as input with a pullup
  randomSeed(analogRead(A0)); // set the seed for the random function reference
}
void loop() {
  buttonState = digitalRead(button1); // read the state of the button pin and store it
  // if the button's state is LOW set all LEDs to LOW (off), then generate a random number and set the relevant LEDs to HIGH (dice pattern)
  if (buttonState == LOW){
    for (int thisPin = 0; thisPin < 7; thisPin++) {
    digitalWrite(led_pins[thisPin], LOW);
    }
    delay(pause);
    ran = random(1, 7);
    for ( int i = 0; i < 6; i++){
    if (roll[ran-1][i] >= 0){
    digitalWrite (led_pins[roll[ran-1][i]], HIGH);
  }
  }
  }
}
